# `wxFontPickerEvent`
[🔗](https://github.com/erlang/otp/blob/master/lib/wx/src/gen/wxFontPickerEvent.erl#L58)

This event class is used for the events generated by `m:wxFontPickerCtrl`.

See: `m:wxFontPickerCtrl`

This class is derived, and can use functions, from:

* `m:wxCommandEvent`

* `m:wxEvent`

wxWidgets docs: [wxFontPickerEvent](https://docs.wxwidgets.org/3.2/classwx_font_picker_event.html)

## Events

Use `wxEvtHandler:connect/3` with `wxFontPickerEventType` to subscribe to events of this type.

# `wxFontPicker`

```erlang
-type wxFontPicker() ::
          #wxFontPicker{type :: wxFontPickerEvent:wxFontPickerEventType(), font :: wxFont:wxFont()}.
```

# `wxFontPickerEvent`

```erlang
-type wxFontPickerEvent() :: wx:wx_object().
```

# `wxFontPickerEventType`

```erlang
-type wxFontPickerEventType() :: command_fontpicker_changed.
```

# `getFont`

```erlang
-spec getFont(This) -> wxFont:wxFont() when This :: wxFontPickerEvent().
```

Retrieve the font the user has just selected.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
